/*! For license information please see module.js.LICENSE.txt */
define(["lodash","@grafana/data","@grafana/runtime","react","@emotion/css","@grafana/ui","rxjs","rxjs/operators"],((e,t,r,n,a,o,i,s)=>(()=>{var l={872:(e,t,r)=>{var n=r(781),a=r(7),o=r(959),i=r(241),s=function(e){return e&&"object"==typeof e&&"default"in e?e:{default:e}}(o);const l="jwt",c="gce",u="Paste JWT button",p="Upload JWT button",d=["private_key","token_uri","client_email","project_id"],y=({onChange:e,showConfigEditor:t,showPaste:r,showUpload:n,isPasting:i,isUploading:l})=>{const[c,d]=o.useState(),y=a.useTheme2(),f=o.useCallback((e=>{d(null),r()}),[r]),b=o.useCallback((e=>{n(),d(null)}),[n]),g=o.useCallback((r=>{if(""!==r.trim()){let n;try{n=JSON.parse(r)}catch(e){d("Invalid JWT token")}const a=m(n);a.isValid?(t(),e({privateKey:n.private_key,tokenUri:n.token_uri,clientEmail:n.client_email,projectId:n.project_id})):d(a.error)}}),[d,e,t]);return s.default.createElement(s.default.Fragment,null,s.default.createElement(a.Field,{label:"JWT token",invalid:Boolean(c),description:i?"Paste JWT token below":"Upload or paste Google JWT token",error:c},s.default.createElement(s.default.Fragment,null,l&&s.default.createElement("div",{"data-testid":"Configuration drop zone"},a.FileDropzone&&s.default.createElement(a.FileDropzone,{options:{multiple:!1,accept:".json"},readAs:"readAsText",onLoad:e=>{g(e)}},s.default.createElement("p",{style:{margin:0,fontSize:`${y.typography.h4.fontSize}`,textAlign:"center"}},"Drop the Google JWT file here",s.default.createElement("br",null),s.default.createElement("br",null),s.default.createElement(a.Button,{fill:"outline"},"Click to browse files")))),i&&s.default.createElement(a.TextArea,{"data-testid":"Configuration text area",autoFocus:!0,invalid:Boolean(c),placeholder:"Paste Google JWT token here",onBlur:e=>g(e.currentTarget.value),rows:12}))),!i&&s.default.createElement(s.default.Fragment,null,s.default.createElement(a.Button,{"data-testid":u,type:"button",fill:"outline",style:{color:`${y.colors.primary.text}`},onClick:f},"Paste JWT Token"),s.default.createElement("span",{style:{paddingRight:"10px",paddingLeft:"10px"}},"or")),i&&s.default.createElement(s.default.Fragment,null,s.default.createElement(a.Button,{"data-testid":p,type:"button",fill:"outline",style:{color:`${y.colors.primary.text}`},onClick:()=>{n()}},"Upload JWT Token"),s.default.createElement("span",{style:{paddingRight:"10px",paddingLeft:"10px"}},"or")),s.default.createElement(a.Button,{"data-testid":"Fill JWT info manually",type:"button",fill:"outline",style:{color:`${y.colors.primary.text}`},onClick:t},"Fill In JWT Token manually"),i&&c&&s.default.createElement(a.Field,null,s.default.createElement(a.Button,{type:"button",fill:"outline",style:{color:`${y.colors.primary.text}`},onClick:b},"Upload JWT Token")))},m=e=>{if(!i.isObject(e))return{isValid:!1,error:"Invalid JWT token"};const t=d.filter((t=>!e[t]));return t.length>0?{isValid:!1,error:`Missing keys: ${t.join(", ")}`}:{isValid:!0}},{SecretFormField:f}=a.LegacyForms;var b;!function(e){e.PATH="path",e.JWT="jwt"}(b||(b={}));const g=({options:e,onReset:t,onOptionsChange:r,showPaste:o,showUpload:i})=>{var l;const[c,d]=s.default.useState((e=>"privateKeyPath"in e&&""!==e.privateKeyPath?b.PATH:b.JWT)(e.jsonData)),y=t=>n.onUpdateDatasourceJsonDataOption({options:e,onOptionsChange:r},t),m=()=>{c===b.JWT?d(b.PATH):d(b.JWT)},g=a.useTheme2(),v=s.default.createElement("span",null,c===b.PATH?s.default.createElement("a",{className:"external-link",onClick:m,"data-testid":"Show private key input"},"Paste private key"):"Paste private key"," ","or  ",c===b.JWT?s.default.createElement("a",{className:"external-link",onClick:m,"data-testid":"Show private key path input"},"provide path to private file"):"provide path to private key file"),h={isConfigured:Boolean(e.secureJsonFields.privateKey),value:(null===(l=e.secureJsonData)||void 0===l?void 0:l.privateKey)||"",placeholder:"Enter Private key",onReset:()=>t(),onChange:n.onUpdateDatasourceSecureJsonDataOption({options:e,onOptionsChange:r},"privateKey"),"data-testid":"Private Key Input"};return s.default.createElement("div",{"data-testid":"JWT form"},s.default.createElement(a.Field,{label:"Project ID"},s.default.createElement(a.Input,{id:"defaultProject",width:60,value:e.jsonData.defaultProject||"",onChange:y("defaultProject")})),s.default.createElement(a.Field,{label:"Client email"},s.default.createElement(a.Input,{width:60,id:"clientEmail",value:e.jsonData.clientEmail||"",onChange:y("clientEmail")})),s.default.createElement(a.Field,{label:"Token URI"},s.default.createElement(a.Input,{width:60,id:"tokenUri",value:e.jsonData.tokenUri||"",onChange:y("tokenUri")})),c===b.PATH&&s.default.createElement(a.Field,{label:"Private key path",description:v},s.default.createElement(a.Input,{width:60,id:"privateKeyPath",value:e.jsonData.privateKeyPath||"",placeholder:"File location of your private key (e.g. /etc/secrets/gce.pem)",onChange:y("privateKeyPath"),"data-testid":"Private Key Path Input"})),c===b.JWT&&s.default.createElement(s.default.Fragment,null,a.SecretInput?s.default.createElement(a.Field,{label:"Private key",description:v},s.default.createElement(a.SecretInput,Object.assign({},h,{width:60}))):s.default.createElement(f,Object.assign({},h,{label:"Private key",labelWidth:10,inputWidth:20}))),s.default.createElement(s.default.Fragment,null,s.default.createElement(a.Button,{"data-testid":u,type:"button",fill:"outline",style:{color:`${g.colors.primary.text}`},onClick:o},"Paste JWT Token"),s.default.createElement("span",{style:{paddingRight:"10px",paddingLeft:"10px"}},"or"),s.default.createElement(a.Button,{"data-testid":p,type:"button",fill:"outline",style:{color:`${g.colors.primary.text}`},onClick:i},"Upload JWT Token")))};function v(e){const{options:t,onOptionsChange:r,authOptions:i}=e,{jsonData:u,secureJsonFields:p,secureJsonData:d}=t,m=()=>Boolean(u.clientEmail&&u.defaultProject&&u.tokenUri&&(p&&p.privateKey||u.privateKeyPath));u.authenticationType||(u.authenticationType=l);const[f,b]=o.useState(h(u.authenticationType)),[v,O]=o.useState(m()),[j,E]=o.useState(!1),[S,T]=o.useState(!0),P=()=>{E(!1),T(!0),O(!1)},I=()=>{E(!0),T(!1),O(!1)};return s.default.createElement(s.default.Fragment,null,s.default.createElement(a.FieldSet,{label:"Authentication"},s.default.createElement(a.Field,{label:"Authentication type"},s.default.createElement(a.RadioButtonGroup,{options:i,value:u.authenticationType||l,onChange:e=>{O(m()),r(Object.assign(Object.assign({},t),{jsonData:Object.assign(Object.assign({},t.jsonData),{authenticationType:e})})),b(h(e))}}))),f&&s.default.createElement(a.FieldSet,{label:"JWT Key Details"},v?s.default.createElement(g,{options:t,onReset:()=>(()=>{const e=Object.assign({},d),n=Object.assign({},t.jsonData);delete n.clientEmail,delete n.defaultProject,delete n.tokenUri,delete n.privateKeyPath,delete e.privateKey,b(!0),O(!1),r(Object.assign(Object.assign({},t),{secureJsonFields:Object.assign(Object.assign({},t.secureJsonFields),{privateKey:!1}),secureJsonData:e,jsonData:n}))})(),onOptionsChange:r,showUpload:P,showPaste:I}):s.default.createElement(y,{showConfigEditor:()=>{O(!0)},showUpload:P,showPaste:I,isPasting:j,isUploading:S,onChange:e=>{r(Object.assign(Object.assign({},t),{secureJsonFields:Object.assign(Object.assign({},p),{privateKey:!0}),secureJsonData:Object.assign(Object.assign({},d),{privateKey:e.privateKey}),jsonData:Object.assign(Object.assign({},u),{clientEmail:e.clientEmail,defaultProject:e.projectId,tokenUri:e.tokenUri})}))}})," "),u.authenticationType===c&&s.default.createElement(a.Field,{label:"Default project"},s.default.createElement(a.Input,{id:"defaultProject",width:60,value:t.jsonData.defaultProject||"",onChange:n.onUpdateDatasourceJsonDataOption(e,"defaultProject")})))}const h=e=>e===l||void 0===e,O=[{label:"Google JWT File",value:l,ariaLabel:"JWT button"},{label:"GCE Default Service Account",value:c,ariaLabel:"GCE button"}];t.ConnectionConfig=e=>{const{options:{jsonData:t}}=e;t.authenticationType||(t.authenticationType=l);const r=t.authenticationType===l||void 0===t.authenticationType;return s.default.createElement(s.default.Fragment,null,s.default.createElement(v,Object.assign({authOptions:O},e)),s.default.createElement("div",{className:"grafana-info-box",style:{marginTop:"16px"},"data-testid":"Configuration help box"},s.default.createElement("p",null,"Don’t know how to get a service account key file or create a service account? Read more"," ",s.default.createElement("a",{className:"external-link",target:"_blank",rel:"noopener noreferrer",href:"https://grafana.com/docs/grafana/latest/datasources/google-cloud-monitoring/google-authentication/"},"in the documentation."))),!r&&s.default.createElement(a.Alert,{title:"",severity:"info"},"Verify GCE default service account by clicking Save & Test"))}},80:(e,t,r)=>{"use strict";e.exports=r(872)},635:e=>{"use strict";e.exports=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=void 0,a=void 0,o=void 0,i=[];return function(){var l=function(e){return"function"==typeof e?e():e}(t),c=(new Date).getTime(),u=!n||c-n>l;n=c;for(var p=arguments.length,d=Array(p),y=0;y<p;y++)d[y]=arguments[y];if(u&&r.leading)return r.accumulate?Promise.resolve(e.call(this,[d])).then((function(e){return e[0]})):Promise.resolve(e.call.apply(e,[this].concat(d)));if(a?clearTimeout(o):a=function(){var e={};return e.promise=new Promise((function(t,r){e.resolve=t,e.reject=r})),e}(),i.push(d),o=setTimeout(s.bind(this),l),r.accumulate){var m=i.length-1;return a.promise.then((function(e){return e[m]}))}return a.promise};function s(){var t=a;clearTimeout(o),Promise.resolve(r.accumulate?e.call(this,i):e.apply(this,i[i.length-1])).then(t.resolve,t.reject),i=[],a=null}}},513:e=>{"use strict";e.exports=function e(t,r){if(t===r)return!0;if(t&&r&&"object"==typeof t&&"object"==typeof r){if(t.constructor!==r.constructor)return!1;var n,a,o;if(Array.isArray(t)){if((n=t.length)!=r.length)return!1;for(a=n;0!=a--;)if(!e(t[a],r[a]))return!1;return!0}if(t.constructor===RegExp)return t.source===r.source&&t.flags===r.flags;if(t.valueOf!==Object.prototype.valueOf)return t.valueOf()===r.valueOf();if(t.toString!==Object.prototype.toString)return t.toString()===r.toString();if((n=(o=Object.keys(t)).length)!==Object.keys(r).length)return!1;for(a=n;0!=a--;)if(!Object.prototype.hasOwnProperty.call(r,o[a]))return!1;for(a=n;0!=a--;){var i=o[a];if(!e(t[i],r[i]))return!1}return!0}return t!=t&&r!=r}},44:(e,t,r)=>{"use strict";var n=r(959),a=Symbol.for("react.element"),o=Symbol.for("react.fragment"),i=Object.prototype.hasOwnProperty,s=n.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner,l={key:!0,ref:!0,__self:!0,__source:!0};function c(e,t,r){var n,o={},c=null,u=null;for(n in void 0!==r&&(c=""+r),void 0!==t.key&&(c=""+t.key),void 0!==t.ref&&(u=t.ref),t)i.call(t,n)&&!l.hasOwnProperty(n)&&(o[n]=t[n]);if(e&&e.defaultProps)for(n in t=e.defaultProps)void 0===o[n]&&(o[n]=t[n]);return{$$typeof:a,type:e,key:c,ref:u,props:o,_owner:s.current}}t.Fragment=o,t.jsx=c,t.jsxs=c},728:(e,t,r)=>{"use strict";e.exports=r(44)},89:e=>{"use strict";e.exports=a},781:e=>{"use strict";e.exports=t},531:e=>{"use strict";e.exports=r},7:e=>{"use strict";e.exports=o},241:t=>{"use strict";t.exports=e},959:e=>{"use strict";e.exports=n},269:e=>{"use strict";e.exports=i},59:e=>{"use strict";e.exports=s}},c={};function u(e){var t=c[e];if(void 0!==t)return t.exports;var r=c[e]={exports:{}};return l[e](r,r.exports,u),r.exports}u.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return u.d(t,{a:t}),t},u.d=(e,t)=>{for(var r in t)u.o(t,r)&&!u.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:t[r]})},u.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),u.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})};var p={};return(()=>{"use strict";u.r(p),u.d(p,{plugin:()=>Zt});var e=u(241),t=u(781),r=u(531),n=u(728),a=u(89),o=u(959);class i extends o.PureComponent{render(){return(0,n.jsxs)("div",{children:[(0,n.jsx)("h2",{children:"Cloud Monitoring alias patterns"}),(0,n.jsxs)("div",{children:[(0,n.jsx)("p",{children:"Format the legend keys any way you want by using alias patterns. Format the legend keys any way you want by using alias patterns."}),"Example:",(0,n.jsx)("code",{children:"{{metric.name}} - {{metric.label.instance_name}}"}),(0,n.jsx)("br",{}),"Result:   ",(0,n.jsx)("code",{children:"cpu/usage_time - server1-europe-west-1"}),(0,n.jsx)("br",{}),(0,n.jsx)("br",{}),(0,n.jsx)("span",{children:"Patterns:"}),(0,n.jsx)("br",{}),(0,n.jsxs)("ul",{className:(0,a.css)({listStyle:"none"}),children:[(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{metric.type}}"})," = metric type e.g. compute.googleapis.com/instance/cpu/usage_time"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{metric.name}}"})," = name part of metric e.g. instance/cpu/usage_time"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{metric.service}}"})," = service part of metric e.g. compute"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{metric.label.label_name}}"})," = Metric label metadata e.g. metric.label.instance_name"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{resource.label.label_name}}"})," = Resource label metadata e.g. resource.label.zone"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{metadata.system_labels.name}}"})," = Meta data system labels e.g. metadata.system_labels.name. For this to work, the needs to be included in the group by"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{metadata.user_labels.name}}"})," = Meta data user labels e.g. metadata.user_labels.name. For this to work, the needs to be included in the group by"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{bucket}}"})," = bucket boundary for distribution metrics when using a heatmap in Grafana"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{project}}"})," = The project name that was specified in the query editor"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{service}}"})," = The service id that was specified in the SLO query editor"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{slo}}"})," = The SLO id that was specified in the SLO query editor"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{selector}}"})," = The Selector function that was specified in the SLO query editor"]})]})]})]})}}var s=u(80),l=u(7);const c=({dataSourceName:e,docsLink:t,hasRequiredFields:r=!0,className:n})=>{const i=(0,l.useTheme2)(),s={container:(0,a.css)({p:{margin:0},"p + p":{marginTop:i.spacing(2)}}),text:(0,a.css)({...i.typography.body,color:i.colors.text.secondary,a:(0,a.css)({color:i.colors.text.link,textDecoration:"underline","&:hover":{textDecoration:"none"}})})};return o.createElement("div",{className:(0,a.cx)(s.container,n)},o.createElement("p",{className:s.text},"Before you can use the ",e," data source, you must configure it below or in the config file. For detailed instructions,"," ",o.createElement("a",{href:t,target:"_blank",rel:"noreferrer"},"view the documentation"),"."),r&&o.createElement("p",{className:s.text},o.createElement("i",null,"Fields marked with * are required")))},d=({children:e,title:t,description:r,isCollapsible:n=!1,isInitiallyOpen:i=!0,kind:s="section",className:c})=>{const{colors:u,typography:p,spacing:d}=(0,l.useTheme2)(),[y,m]=(0,o.useState)(!n||i),f=y?"angle-up":"angle-down",b="sub-section"===s,g=`${y?"Collapse":"Expand"} section ${t}`,v={header:(0,a.css)({display:"flex",justifyContent:"space-between",alignItems:"center"}),title:(0,a.css)({margin:0}),subtitle:(0,a.css)({margin:0,fontWeight:p.fontWeightRegular}),descriptionText:(0,a.css)({marginTop:d(b?.25:.5),marginBottom:0,...p.bodySmall,color:u.text.secondary}),content:(0,a.css)({marginTop:d(2)})};return o.createElement("div",{className:c},o.createElement("div",{className:v.header},"section"===s?o.createElement("h3",{className:v.title},t):o.createElement("h6",{className:v.subtitle},t),n&&o.createElement(l.IconButton,{name:f,onClick:()=>m(!y),type:"button",size:"xl","aria-label":g})),r&&o.createElement("p",{className:v.descriptionText},r),y&&o.createElement("div",{className:v.content},e))},y=({children:e,...t})=>o.createElement(d,{...t,kind:"section"},e);function m(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function f(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){m(e,t,r[t])}))}return e}class b extends o.PureComponent{render(){const{options:e,onOptionsChange:t}=this.props;return(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(c,{dataSourceName:"Google Cloud Monitoring",docsLink:"https://grafana.com/docs/grafana/latest/datasources/google-cloud-monitoring/",hasRequiredFields:!0}),(0,n.jsx)(l.Divider,{}),(0,n.jsx)(s.ConnectionConfig,(a=f({},this.props),o={onOptionsChange:this.handleOnOptionsChange},o=null!=o?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(a,Object.getOwnPropertyDescriptors(o)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(o)).forEach((function(e){Object.defineProperty(a,e,Object.getOwnPropertyDescriptor(o,e))})),a)),r.config.secureSocksDSProxyEnabled&&(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(l.Divider,{}),(0,n.jsx)(y,{title:"Additional settings",description:"Additional settings are optional settings that can be configured for more control over your data source. This includes Secure Socks Proxy.",isCollapsible:!0,isInitiallyOpen:void 0!==e.jsonData.enableSecureSocksProxy,children:(0,n.jsx)(l.SecureSocksProxySettings,{options:e,onOptionsChange:t})})]})]});var a,o}constructor(...e){super(...e),m(this,"handleOnOptionsChange",(e=>{(e.jsonData.privateKeyPath||e.secureJsonFields.privateKey)&&(0,r.reportInteraction)("grafana_cloud_monitoring_config_changed",{authenticationType:"JWT",privateKey:e.secureJsonFields.privateKey,privateKeyPath:!!e.jsonData.privateKeyPath}),this.props.onOptionsChange(e)}))}}var g=u(513),v=u.n(g);const h=({children:e,wrap:t=!0,...r})=>{var n,a;return o.createElement(l.Stack,{wrap:t?"wrap":void 0,direction:null!=(n=r.direction)?n:"row",gap:null!=(a=r.gap)?a:2,...r},e)},O=({children:e})=>o.createElement(h,{gap:.5,direction:"column"},e),j={container:"data-testid cloud-monitoring-query-editor",header:{select:"data-testid cloud-monitoring-header"},visualMetricsQueryEditor:{container:{input:"data-testid cloud-monitoring-visual-metrics-query-editor"}},mqlMetricsQueryEditor:{container:{input:"data-testid cloud-monitoring-mql-query-editor"}},sloQueryEditor:{container:{input:"data-testid cloud-monitoring-slo-query-editor"}},promQlQueryEditor:{container:{input:"data-testid cloud-monitoring-prom-ql-query-editor"}}};var E=function(e){return e.ANNOTATION="annotation",e.PROMQL="promQL",e.SLO="slo",e.TIME_SERIES_LIST="timeSeriesList",e.TIME_SERIES_QUERY="timeSeriesQuery",e}({}),S=function(e){return e.Delta="delta",e.None="none",e.Rate="rate",e}({}),T=function(e){return e.CUMULATIVE="CUMULATIVE",e.DELTA="DELTA",e.GAUGE="GAUGE",e.METRIC_KIND_UNSPECIFIED="METRIC_KIND_UNSPECIFIED",e}({}),P=function(e){return e.BOOL="BOOL",e.DISTRIBUTION="DISTRIBUTION",e.DOUBLE="DOUBLE",e.INT64="INT64",e.MONEY="MONEY",e.STRING="STRING",e.VALUE_TYPE_UNSPECIFIED="VALUE_TYPE_UNSPECIFIED",e}({}),I=function(e){return e.ALIGN_COUNT="ALIGN_COUNT",e.ALIGN_COUNT_FALSE="ALIGN_COUNT_FALSE",e.ALIGN_COUNT_TRUE="ALIGN_COUNT_TRUE",e.ALIGN_DELTA="ALIGN_DELTA",e.ALIGN_FRACTION_TRUE="ALIGN_FRACTION_TRUE",e.ALIGN_INTERPOLATE="ALIGN_INTERPOLATE",e.ALIGN_MAX="ALIGN_MAX",e.ALIGN_MEAN="ALIGN_MEAN",e.ALIGN_MIN="ALIGN_MIN",e.ALIGN_NEXT_OLDER="ALIGN_NEXT_OLDER",e.ALIGN_NONE="ALIGN_NONE",e.ALIGN_PERCENTILE_05="ALIGN_PERCENTILE_05",e.ALIGN_PERCENTILE_50="ALIGN_PERCENTILE_50",e.ALIGN_PERCENTILE_95="ALIGN_PERCENTILE_95",e.ALIGN_PERCENTILE_99="ALIGN_PERCENTILE_99",e.ALIGN_PERCENT_CHANGE="ALIGN_PERCENT_CHANGE",e.ALIGN_RATE="ALIGN_RATE",e.ALIGN_STDDEV="ALIGN_STDDEV",e.ALIGN_SUM="ALIGN_SUM",e}({}),x=function(e){return e.Aggregations="aggregations",e.Aligners="aligners",e.AlignmentPeriods="alignmentPeriods",e.DefaultProject="defaultProject",e.LabelKeys="labelKeys",e.LabelValues="labelValues",e.MetricTypes="metricTypes",e.Projects="projects",e.ResourceTypes="resourceTypes",e.SLO="slo",e.SLOServices="sloServices",e.Selectors="selectors",e.Services="services",e}({});const N=e=>{var t;const{label:r,optional:n,tooltip:a,tooltipInteractive:i,children:s,width:c,...u}=e,p=(0,l.useStyles2)(w,c),d=(null==u?void 0:u.htmlFor)||(null==(t=l.ReactUtils)?void 0:t.getChildId(s)),y=o.createElement(o.Fragment,null,o.createElement("label",{className:p.label,htmlFor:d},r,n&&o.createElement("span",{className:p.optional}," - optional"),a&&o.createElement(l.Tooltip,{placement:"top",content:a,theme:"info",interactive:i},o.createElement(l.Icon,{tabIndex:0,name:"info-circle",size:"sm",className:p.icon}))),o.createElement(l.Space,{v:.5}));return o.createElement("div",{className:p.root},o.createElement(l.Field,{className:p.field,label:y,...u},s))},w=(e,t)=>({root:(0,a.css)({minWidth:e.spacing(null!=t?t:0)}),label:(0,a.css)({fontSize:12,fontWeight:e.typography.fontWeightMedium}),optional:(0,a.css)({fontStyle:"italic",color:e.colors.text.secondary}),field:(0,a.css)({marginBottom:0}),icon:(0,a.css)({color:e.colors.text.secondary,marginLeft:e.spacing(1),":hover":{color:e.colors.text.primary}})}),L=({refId:t,value:r="",onChange:a})=>{const[i,s]=(0,o.useState)(null!=r?r:""),c=(0,e.debounce)(a,1e3);return(0,n.jsx)(N,{label:"Alias by",children:(0,n.jsx)(l.Input,{id:`${t}-alias-by`,value:i,onChange:e=>{s(e.currentTarget.value),c(e.currentTarget.value)}})})},D=({children:e})=>{const t=(0,l.useStyles2)(C);return o.createElement("div",{className:t.root},o.createElement(h,{gap:2},e))},C=e=>({root:(0,a.css)({padding:e.spacing(1),backgroundColor:e.colors.background.secondary,borderRadius:e.shape.radius.default})}),_=[{text:"none",value:"ALIGN_NONE",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION,P.STRING,P.VALUE_TYPE_UNSPECIFIED,P.BOOL],metricKinds:[T.GAUGE]},{text:"delta",value:"ALIGN_DELTA",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION],metricKinds:[T.CUMULATIVE,T.DELTA]},{text:"rate",value:"ALIGN_RATE",valueTypes:[P.INT64,P.DOUBLE,P.MONEY],metricKinds:[T.CUMULATIVE,T.DELTA]},{text:"interpolate",value:"ALIGN_INTERPOLATE",valueTypes:[P.INT64,P.DOUBLE,P.MONEY],metricKinds:[T.GAUGE]},{text:"next older",value:"ALIGN_NEXT_OLDER",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION,P.STRING,P.VALUE_TYPE_UNSPECIFIED,P.BOOL],metricKinds:[T.GAUGE]},{text:"min",value:"ALIGN_MIN",valueTypes:[P.INT64,P.DOUBLE,P.MONEY],metricKinds:[T.GAUGE,T.DELTA]},{text:"max",value:"ALIGN_MAX",valueTypes:[P.INT64,P.DOUBLE,P.MONEY],metricKinds:[T.GAUGE,T.DELTA]},{text:"mean",value:"ALIGN_MEAN",valueTypes:[P.INT64,P.DOUBLE,P.MONEY],metricKinds:[T.GAUGE,T.DELTA]},{text:"count",value:"ALIGN_COUNT",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.BOOL],metricKinds:[T.GAUGE,T.DELTA]},{text:"sum",value:"ALIGN_SUM",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION],metricKinds:[T.GAUGE,T.DELTA]},{text:"stddev",value:"ALIGN_STDDEV",valueTypes:[P.INT64,P.DOUBLE,P.MONEY],metricKinds:[T.GAUGE,T.DELTA]},{text:"count true",value:"ALIGN_COUNT_TRUE",valueTypes:[P.BOOL],metricKinds:[T.GAUGE]},{text:"count false",value:"ALIGN_COUNT_FALSE",valueTypes:[P.BOOL],metricKinds:[T.GAUGE]},{text:"fraction true",value:"ALIGN_FRACTION_TRUE",valueTypes:[P.BOOL],metricKinds:[T.GAUGE]},{text:"percentile 99",value:"ALIGN_PERCENTILE_99",valueTypes:[P.DISTRIBUTION],metricKinds:[T.GAUGE,T.DELTA]},{text:"percentile 95",value:"ALIGN_PERCENTILE_95",valueTypes:[P.DISTRIBUTION],metricKinds:[T.GAUGE,T.DELTA]},{text:"percentile 50",value:"ALIGN_PERCENTILE_50",valueTypes:[P.DISTRIBUTION],metricKinds:[T.GAUGE,T.DELTA]},{text:"percentile 05",value:"ALIGN_PERCENTILE_05",valueTypes:[P.DISTRIBUTION],metricKinds:[T.GAUGE,T.DELTA]},{text:"percent change",value:"ALIGN_PERCENT_CHANGE",valueTypes:[P.INT64,P.DOUBLE,P.MONEY],metricKinds:[T.GAUGE,T.DELTA]}],A=[{text:"none",value:"REDUCE_NONE",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION,P.BOOL,P.STRING],metricKinds:[T.GAUGE,T.DELTA,T.CUMULATIVE,T.METRIC_KIND_UNSPECIFIED]},{text:"mean",value:"REDUCE_MEAN",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION],metricKinds:[T.GAUGE,T.DELTA,T.CUMULATIVE]},{text:"min",value:"REDUCE_MIN",valueTypes:[P.INT64,P.DOUBLE,P.MONEY],metricKinds:[T.GAUGE,T.DELTA,T.CUMULATIVE,T.METRIC_KIND_UNSPECIFIED]},{text:"max",value:"REDUCE_MAX",valueTypes:[P.INT64,P.DOUBLE,P.MONEY],metricKinds:[T.GAUGE,T.DELTA,T.CUMULATIVE,T.METRIC_KIND_UNSPECIFIED]},{text:"sum",value:"REDUCE_SUM",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION],metricKinds:[T.GAUGE,T.DELTA,T.CUMULATIVE,T.METRIC_KIND_UNSPECIFIED]},{text:"std. dev.",value:"REDUCE_STDDEV",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION],metricKinds:[T.GAUGE,T.DELTA,T.CUMULATIVE,T.METRIC_KIND_UNSPECIFIED]},{text:"count",value:"REDUCE_COUNT",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION,P.BOOL,P.STRING],metricKinds:[T.GAUGE,T.DELTA,T.CUMULATIVE]},{text:"count true",value:"REDUCE_COUNT_TRUE",valueTypes:[P.BOOL],metricKinds:[T.GAUGE,T.DELTA]},{text:"count false",value:"REDUCE_COUNT_FALSE",valueTypes:[P.BOOL],metricKinds:[T.GAUGE,T.DELTA]},{text:"99th percentile",value:"REDUCE_PERCENTILE_99",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION],metricKinds:[T.GAUGE,T.DELTA,T.CUMULATIVE]},{text:"95th percentile",value:"REDUCE_PERCENTILE_95",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION],metricKinds:[T.GAUGE,T.DELTA,T.CUMULATIVE]},{text:"50th percentile",value:"REDUCE_PERCENTILE_50",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION],metricKinds:[T.GAUGE,T.DELTA,T.CUMULATIVE]},{text:"5th percentile",value:"REDUCE_PERCENTILE_05",valueTypes:[P.INT64,P.DOUBLE,P.MONEY,P.DISTRIBUTION],metricKinds:[T.GAUGE,T.DELTA,T.CUMULATIVE]}],R=[{text:"grafana auto",value:"grafana-auto"},{text:"stackdriver auto",value:"stackdriver-auto",hidden:!0},{text:"cloud monitoring auto",value:"cloud-monitoring-auto"},{text:"1m",value:"+60s"},{text:"2m",value:"+120s"},{text:"5m",value:"+300s"},{text:"10m",value:"+600s"},{text:"30m",value:"+1800s"},{text:"1h",value:"+3600s"},{text:"3h",value:"+7200s"},{text:"6h",value:"+21600s"},{text:"1d",value:"+86400s"},{text:"3d",value:"+259200s"},{text:"1w",value:"+604800s"}],M=[{text:"auto",value:"auto"},{text:"1m",value:"1m"},{text:"2m",value:"2m"},{text:"5m",value:"5m"},{text:"10m",value:"10m"},{text:"30m",value:"30m"},{text:"1h",value:"1h"},{text:"3h",value:"3h"},{text:"6h",value:"6h"},{text:"1d",value:"1d"},{text:"3d",value:"3d"},{text:"1w",value:"1w"}],U=[{text:"1m",value:"1m"},{text:"2m",value:"2m"},{text:"5m",value:"5m"},{text:"10m",value:"10m"},{text:"30m",value:"30m"},{text:"1h",value:"1h"},{text:"3h",value:"3h"},{text:"6h",value:"6h"},{text:"24h",value:"24h"},{text:"72h",value:"72h"}],k=["metadata.system_labels.cloud_account","metadata.system_labels.name","metadata.system_labels.region","metadata.system_labels.state","metadata.system_labels.instance_group","metadata.system_labels.node_name","metadata.system_labels.service_name","metadata.system_labels.top_level_controller_type","metadata.system_labels.top_level_controller_name","metadata.system_labels.container_image"],G="select_slo_burn_rate",Q=[{label:"SLI Value",value:"select_slo_health"},{label:"SLO Compliance",value:"select_slo_compliance"},{label:"SLO Error Budget Remaining",value:"select_slo_budget_fraction"},{label:"SLO Burn Rate",value:G}],B=[{label:"Builder",value:E.TIME_SERIES_LIST},{label:"MQL",value:E.TIME_SERIES_QUERY},{label:"Service Level Objectives (SLO)",value:E.SLO},{label:"PromQL",value:E.PROMQL}];function q({refId:e,projectName:t,datasource:r,onChange:a,templateVariableOptions:i}){const[s,c]=(0,o.useState)([]);(0,o.useEffect)((()=>{r.getProjects().then((e=>c(e)))}),[r]);const u=(0,o.useMemo)((()=>[{label:"Template Variables",options:i},...s]),[s,i]);return(0,n.jsx)(N,{label:"Project",children:(0,n.jsx)(l.Select,{width:"auto",allowCustomValue:!0,formatCreateLabel:e=>`Use project: ${e}`,onChange:({value:e})=>a(e),options:u,value:{value:t,label:t},placeholder:"Select Project",inputId:`${e}-project`})})}const F=({children:e})=>o.createElement(h,{gap:1},e);function V(e,t,r,n,a,o,i){try{var s=e[o](i),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,a)}function K(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const $=t=>(0,e.uniqBy)(t,"service"),Y=(e,t)=>e.filter((e=>e.service===t)),J=(e,t,r,n)=>{const a=Y(e,n).map((e=>({value:e.type,name:e.displayName}))),o=a.some((e=>e.value===r)),i=a.length?a[0].value:"";return{metricTypes:a,selectedMetricType:o?t:i}},W=(e,t,r)=>(r&&r===S.Rate&&(t=T.GAUGE),e?_.filter((r=>-1!==r.valueTypes.indexOf(e)&&-1!==r.metricKinds.indexOf(t))):[]),z=(e,t)=>t?A.filter((r=>-1!==r.valueTypes.indexOf(e)&&-1!==r.metricKinds.indexOf(t))):[],H=function(){var e,t=(e=function*(e,t,r){const n=yield e.getLabels(t,"handleLabelKeysQuery",r);return[...Object.keys(n),...k]},function(){var t=this,r=arguments;return new Promise((function(n,a){var o=e.apply(t,r);function i(e){V(o,n,a,i,s,"next",e)}function s(e){V(o,n,a,i,s,"throw",e)}i(void 0)}))});return function(e,r,n){return t.apply(this,arguments)}}(),X=(e=P.DOUBLE,t=T.GAUGE,n=I.ALIGN_MEAN,a)=>{const o=(0,r.getTemplateSrv)(),i=W(e,t,a).map((e=>{return t=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){K(e,t,r[t])}))}return e}({},e),r=null!=(r={label:e.text})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(r)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(r,e))})),t;var t,r}));return i.some((e=>e.value===o.replace(n)))||(n=i.length>0?i[0].value:I.ALIGN_MEAN),{alignOptions:i,perSeriesAligner:n}},Z=t=>{const r=t.reduce(((t,r)=>{const n=r.split(".").map(e.startCase),a=(2===n.length?n:(0,e.initial)(n)).join(" "),o={value:r,label:r};return t[a]?t[a]=[...t[a],o]:t[a]=[o],t}),{});return Object.entries(r).map((([e,t])=>({label:e,options:t,expanded:!0})),[])},ee=(e,r)=>{const{perSeriesAligner:n,alignmentPeriod:a}=e;if(!a||!n)return"";const o=_.find((e=>e.value===r.templateSrv.replace(n))),i=parseInt(a,10);var s;return`${t.rangeUtil.secondsToHms(i)} interval (${null!==(s=null==o?void 0:o.text)&&void 0!==s?s:""})`},te=e=>{var t,r;const n=null==e||null===(t=e.filters)||void 0===t?void 0:t.findIndex((e=>"metric.type"===e));return(null==e||null===(r=e.filters)||void 0===r?void 0:r[n+2])||""},re=(e,t)=>{var r;if(!e.filters)return e.filters=["metric.type","=",t],e;const n=null==e||null===(r=e.filters)||void 0===r?void 0:r.findIndex((e=>"metric.type"===e));return-1===n?e.filters.push("metric.type","=",t):e.filters[n+2]=t,e};function ne(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const ae=e=>{const t=oe(e),r=ie(t,e);return(0,n.jsx)(N,{label:"Group by function","data-testid":"cloud-monitoring-aggregation",tooltip:"Aggregation function used on the metric data. Defaults to none for scalar data and mean for distribution data. Not applying an aggregation to distribution data may lead to performance issues.",children:(0,n.jsx)(l.Select,{width:"auto",onChange:({value:t})=>e.onChange(t),value:r,options:[{label:"Template Variables",options:e.templateVariableOptions},{label:"Aggregations",expanded:!0,options:t}],placeholder:"Select Reducer",inputId:`${e.refId}-group-by-function`,menuPlacement:"top"})})},oe=({metricDescriptor:e})=>{const t=null==e?void 0:e.valueType,r=null==e?void 0:e.metricKind;return(0,o.useMemo)((()=>t&&r?z(t,r).map((e=>{return t=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){ne(e,t,r[t])}))}return e}({},e),r=null!=(r={label:e.text})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(r)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(r,e))})),t;var t,r})):[]),[t,r])},ie=(e,t)=>(0,o.useMemo)((()=>[...e,...t.templateVariableOptions].find((e=>e.value===t.crossSeriesReducer))),[e,t.crossSeriesReducer,t.templateVariableOptions]);function se(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function le(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){se(e,t,r[t])}))}return e}function ce(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const ue=({refId:e,labels:t=[],query:r,onChange:a,variableOptionGroup:i,metricDescriptor:s})=>{const c=(0,o.useMemo)((()=>[i,...Z([...t,...k])]),[t,i]);var u,p;return(0,n.jsxs)(F,{children:[(0,n.jsx)(N,{label:"Group by",tooltip:"You can reduce the amount of data returned for a metric by combining different time series. To combine multiple time series, you can specify a grouping and a function. Grouping is done on the basis of labels. The grouping function is used to combine the time series in the group into a single time series.",children:(0,n.jsx)(l.MultiSelect,{allowCustomValue:!0,inputId:`${e}-group-by`,width:"auto",placeholder:"Choose label",options:c,value:null!==(u=r.groupBys)&&void 0!==u?u:[],onChange:e=>{a(ce(le({},r),{groupBys:e.map((e=>e.value))}))},menuPlacement:"top"})}),(0,n.jsx)(ae,{metricDescriptor:s,templateVariableOptions:i.options,crossSeriesReducer:r.crossSeriesReducer,groupBys:null!==(p=r.groupBys)&&void 0!==p?p:[],onChange:e=>a(ce(le({},r),{crossSeriesReducer:e})),refId:e})]})};function pe(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const de=({inputId:e,query:t,templateVariableOptions:r,onChange:a,metricDescriptor:i,preprocessor:s})=>{const{perSeriesAligner:c}=t;let{valueType:u,metricKind:p}=i||{};const{perSeriesAligner:d,alignOptions:y}=(0,o.useMemo)((()=>X(u,p,c,s)),[u,p,c,s]);return(0,n.jsx)(l.Select,{onChange:({value:e})=>{return a((r=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){pe(e,t,r[t])}))}return e}({},t),n=null!=(n={perSeriesAligner:e})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(n)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(n)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(n,e))})),r));var r,n},value:[...y,...r].find((e=>e.value===d)),options:[{label:"Template Variables",options:r},{label:"Alignment options",expanded:!0,options:y}],placeholder:"Select Alignment",inputId:e,menuPlacement:"top"})};function ye(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function me({inputId:e,templateVariableOptions:t,onChange:r,current:a,disabled:i,aligmentPeriods:s}){const c=(0,o.useMemo)((()=>s.map((e=>{return t=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){ye(e,t,r[t])}))}return e}({},e),r=null!=(r={label:e.text})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(r)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(r,e))})),t;var t,r}))),[s]),u=(0,o.useMemo)((()=>c.filter((e=>!e.hidden))),[c]);return(0,n.jsx)(l.Select,{width:"auto",onChange:({value:e})=>r(e),value:[...c,...t].find((e=>e.value===a)),options:[{label:"Template Variables",options:t},{label:"Aggregations",expanded:!0,options:u}],placeholder:"Select Period",inputId:e,disabled:i,allowCustomValue:!0,menuPlacement:"top"})}function fe(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function be(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){fe(e,t,r[t])}))}return e}const ge=({refId:e,templateVariableOptions:t,onChange:r,query:a,customMetaData:i,datasource:s,metricDescriptor:l,preprocessor:c})=>{const u=(0,o.useMemo)((()=>ee(i,s)),[i,s]);return(0,n.jsxs)(F,{children:[(0,n.jsx)(N,{label:"Alignment function",tooltip:"The process of alignment consists of collecting all data points received in a fixed length of time, applying a function to combine those data points, and assigning a timestamp to the result.",children:(0,n.jsx)(de,{inputId:`${e}-alignment-function`,templateVariableOptions:t,query:a,onChange:e=>r(be({},a,e)),metricDescriptor:l,preprocessor:c})}),(0,n.jsx)(N,{label:"Alignment period",tooltip:u,children:(0,n.jsx)(me,{inputId:`${e}-alignment-period`,templateVariableOptions:t,current:a.alignmentPeriod,onChange:e=>{return r((t=be({},a),n=null!=(n={alignmentPeriod:e})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(n)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(n)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(n,e))})),t));var t,n},aligmentPeriods:R})})]})},ve=({className:e,...t})=>{const r=(0,l.useStyles2)(he);return o.createElement(l.Button,{...t,className:(0,a.cx)(e,r.button)})},he=e=>({button:(0,a.css)({paddingLeft:e.spacing(1.5),paddingRight:e.spacing(1.5)})}),Oe=o.forwardRef((function({items:e,renderItem:t,onChange:r},n){return o.createElement(h,null,e.map(((n,a)=>o.createElement("div",{key:a},t(n,(t=>((t,n)=>{const a=[...e];a[t]=n,r(a)})(a,t)),(()=>(t=>{const n=[...e];n.splice(t,1),r(n)})(a)))))),o.createElement(l.Button,{ref:n,onClick:()=>{const t=[...e,{}];r(t)},variant:"secondary",size:"md",icon:"plus","aria-label":"Add",type:"button"}))})),je="=",Ee="AND",Se=["=","!=","=~","!=~"].map(t.toOption),Te=["metric.type"],Pe=({labels:r={},filters:a,onChange:i,variableOptionGroup:s})=>{const c=(t=>(0,e.chunk)(t,4).map((([e,t,r,n="AND"])=>({key:e,operator:t,value:r,condition:n}))))(a),u=c.filter((({key:e})=>!Te.includes(e))),p=c.filter((({key:e})=>Te.includes(e))),d=(0,o.useMemo)((()=>[s,...Z(Object.keys(r))]),[r,s]),y=({key:e="",value:n=""})=>{d.some((t=>t.options?d.some((t=>t.label===e)):t.label===e))||d.push({label:e,value:e});const a=r.hasOwnProperty(e)?[s,...r[e].map(t.toOption)]:[s];return a.some((e=>e.label===n))||a.push({label:n,value:n}),{options:d,valueOptions:a}};return(0,n.jsx)(D,{children:(0,n.jsx)(N,{label:"Filter",tooltip:"To reduce the amount of data charted, apply a filter. A filter has three components: a label, a comparison, and a value. The comparison can be an equality, inequality, or regular expression.",children:(0,n.jsx)(Oe,{items:u,renderItem:(e,t,r)=>{const{key:a="",operator:o=je,value:i="",condition:s=Ee}=e,{options:c,valueOptions:u}=y(e);return(0,n.jsxs)(l.HorizontalGroup,{spacing:"xs",width:"auto",children:[(0,n.jsx)(l.Select,{"aria-label":"Filter label key",formatCreateLabel:e=>`Use label key: ${e}`,allowCustomValue:!0,value:a,options:c,onChange:({value:e=""})=>t({key:e,operator:o,value:i,condition:s})}),(0,n.jsx)(l.Select,{value:o,options:Se,onChange:({value:e=je})=>t({key:a,operator:e,value:i,condition:s})}),(0,n.jsx)(l.Select,{"aria-label":"Filter label value",placeholder:"add filter value",formatCreateLabel:e=>`Use label value: ${e}`,allowCustomValue:!0,value:i,options:u,onChange:({value:e=""})=>t({key:a,operator:o,value:e,condition:s})}),(0,n.jsx)(ve,{"aria-label":"Remove",icon:"times",variant:"secondary",onClick:r,type:"button"})]})},onChange:e=>{const t=e.concat(p).map((({key:e,operator:t,value:r,condition:n})=>({key:e||"",operator:t||je,value:r||"",condition:n||Ee})));i((e=>e.flatMap((({key:e,operator:t,value:r,condition:n})=>[e,t,r,n])).slice(0,-1))(t))}})})})},Ie=()=>(0,n.jsx)(l.Alert,{severity:"info",title:"Annotation Query Format",children:(0,n.jsxs)("div",{children:[(0,n.jsxs)("p",{children:["An annotation is an event that is overlaid on top of graphs. Annotation rendering is expensive so it is important to limit the number of rows returned."," "]}),(0,n.jsx)("p",{children:"The Title and Text fields support templating and can use data returned from the query. For example, the Title field could have the following text:"}),(0,n.jsxs)("code",{children:["{{metric.type}}"," has value: ","{{metric.value}}"]}),(0,n.jsxs)("p",{children:["Example Result: ",(0,n.jsx)("code",{children:"monitoring.googleapis.com/uptime_check/http_status has this value: 502"})]}),(0,n.jsx)("span",{children:"Patterns:"}),(0,n.jsxs)("p",{children:[(0,n.jsx)("code",{children:"{{metric.value}}"})," = value of the metric/point"]}),(0,n.jsxs)("p",{children:[(0,n.jsx)("code",{children:"{{metric.type}}"})," = metric type e.g. compute.googleapis.com/instance/cpu/usage_time"]}),(0,n.jsxs)("p",{children:[(0,n.jsx)("code",{children:"{{metric.name}}"})," = name part of metric e.g. instance/cpu/usage_time"]}),(0,n.jsxs)("p",{children:[(0,n.jsx)("code",{children:"{{metric.service}}"})," = service part of metric e.g. compute"]}),(0,n.jsxs)("p",{children:[(0,n.jsx)("code",{children:"{{metric.label.label_name}}"})," = Metric label metadata e.g. metric.label.instance_name"]}),(0,n.jsxs)("p",{children:[(0,n.jsx)("code",{children:"{{resource.label.label_name}}"})," = Resource label metadata e.g. resource.label.zone"]})]})});function xe(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Ne=({refId:e,current:t,templateVariableOptions:r,onChange:a})=>{const o=U.map((e=>{return t=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){xe(e,t,r[t])}))}return e}({},e),r=null!=(r={label:e.text})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(r)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(r,e))})),t;var t,r}));t&&!o.find((e=>e.value===t))&&o.push({label:t,text:t,value:t,hidden:!1});const i=o.filter((e=>!e.hidden));return(0,n.jsx)(N,{label:"Lookback period",htmlFor:`${e}-lookback-period`,children:(0,n.jsx)(l.Select,{inputId:`${e}-lookback-period`,width:"auto",allowCustomValue:!0,value:[...o,...r].find((e=>e.value===t)),options:[{label:"Template Variables",options:r},{label:"Predefined periods",expanded:!0,options:i}],onChange:({value:e})=>a(e)})})};function we(e,t,r,n,a,o,i){try{var s=e[o](i),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,a)}function Le(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const De=({refId:e,query:t,templateVariableOptions:r,onChange:a,datasource:i})=>{const[s,c]=(0,o.useState)([]),{projectName:u,serviceId:p}=t;return(0,o.useEffect)((()=>{u&&p&&i.getServiceLevelObjectives(u,p).then((e=>{c([{label:"Template Variables",options:r},...e])}))}),[i,u,p,r]),(0,n.jsx)(N,{label:"SLO",children:(0,n.jsx)(l.Select,{inputId:`${e}-slo`,width:"auto",allowCustomValue:!0,value:(null==t?void 0:t.sloId)&&{value:null==t?void 0:t.sloId,label:(null==t?void 0:t.sloName)||(null==t?void 0:t.sloId)},placeholder:"Select SLO",options:s,onChange:function(){var e,r=(e=function*({value:e="",label:r=""}){const n=(yield i.getServiceLevelObjectives(u,p)).find((({value:t})=>t===i.templateSrv.replace(e)));var o,s;a((o=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Le(e,t,r[t])}))}return e}({},t),s=null!=(s={sloId:e,sloName:r,goal:null==n?void 0:n.goal})?s:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(s)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(s)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(s,e))})),o))},function(){var t=this,r=arguments;return new Promise((function(n,a){var o=e.apply(t,r);function i(e){we(o,n,a,i,s,"next",e)}function s(e){we(o,n,a,i,s,"throw",e)}i(void 0)}))});return function(e){return r.apply(this,arguments)}}()})})};function Ce(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const _e=({refId:e,query:t,templateVariableOptions:r,onChange:a,datasource:o})=>(0,n.jsx)(N,{label:"Selector",htmlFor:`${e}-slo-selector`,children:(0,n.jsx)(l.Select,{inputId:`${e}-slo-selector`,width:"auto",allowCustomValue:!0,value:[...Q,...r].find((e=>e.value===(null==t?void 0:t.selectorName))),options:[{label:"Template Variables",options:r},...Q],onChange:({value:e})=>{return a((r=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ce(e,t,r[t])}))}return e}({},t),n=null!=(n={selectorName:null!=e?e:""})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(n)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(n)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(n,e))})),r));var r,n}})});function Ae(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Re=({refId:e,query:t,templateVariableOptions:r,onChange:a,datasource:i})=>{const[s,c]=(0,o.useState)([]),{projectName:u}=t;return(0,o.useEffect)((()=>{u&&i.getSLOServices(u).then((e=>{c([{label:"Template Variables",options:r},...e])}))}),[i,u,r]),(0,n.jsx)(N,{label:"Service",children:(0,n.jsx)(l.Select,{inputId:`${e}-slo-service`,width:"auto",allowCustomValue:!0,value:(null==t?void 0:t.serviceId)&&{value:null==t?void 0:t.serviceId,label:(null==t?void 0:t.serviceName)||(null==t?void 0:t.serviceId)},placeholder:"Select service",options:s,onChange:({value:e="",label:r=""})=>{return a((n=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ae(e,t,r[t])}))}return e}({},t),o=null!=(o={serviceId:e,serviceName:r,sloId:""})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(o)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(o)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(o,e))})),n));var n,o}})})};function Me(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Ue(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Me(e,t,r[t])}))}return e}function ke(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function Ge({refId:e,query:t,datasource:r,onChange:a,variableOptionGroup:i,customMetaData:s,aliasBy:l,onChangeAliasBy:c}){const u=(0,o.useMemo)((()=>ee(s,r)),[s,r]);return(0,n.jsx)("span",{"data-testid":j.sloQueryEditor.container.input,children:(0,n.jsxs)(D,{children:[(0,n.jsx)(q,{refId:e,templateVariableOptions:i.options,projectName:t.projectName,datasource:r,onChange:e=>a(ke(Ue({},t),{projectName:e}))}),(0,n.jsx)(Re,{refId:e,datasource:r,templateVariableOptions:i.options,query:t,onChange:a}),(0,n.jsx)(De,{refId:e,datasource:r,templateVariableOptions:i.options,query:t,onChange:a}),(0,n.jsx)(_e,{refId:e,datasource:r,templateVariableOptions:i.options,query:t,onChange:a}),t.selectorName===G&&(0,n.jsx)(Ne,{refId:e,onChange:e=>a(ke(Ue({},t),{lookbackPeriod:e})),current:t.lookbackPeriod,templateVariableOptions:i.options}),(0,n.jsx)(F,{children:(0,n.jsx)(N,{label:"Alignment period",tooltip:u,children:(0,n.jsx)(me,{inputId:`${e}-alignment-period`,templateVariableOptions:i.options,current:t.alignmentPeriod,onChange:e=>a(ke(Ue({},t),{alignmentPeriod:e})),aligmentPeriods:R})})}),(0,n.jsx)(L,{refId:e,value:l,onChange:c})]})})}function Qe({query:e,onChange:t,onRunQuery:r}){return(0,n.jsx)("span",{"data-testid":j.mqlMetricsQueryEditor.container.input,children:(0,n.jsx)(l.TextArea,{name:"Query",className:"slate-query-field",value:e,rows:10,placeholder:"Enter a Cloud Monitoring MQL query (Run with Shift+Enter)",onBlur:r,onChange:e=>t(e.currentTarget.value),onKeyDown:e=>{"Enter"===e.key&&(e.shiftKey||e.ctrlKey)&&(e.preventDefault(),r())}})})}const Be=({label:e,onChange:t,value:r,options:a,allowCustomValue:o=!1})=>(0,n.jsx)(l.Field,{label:e,children:(0,n.jsx)(l.Select,{width:25,allowCustomValue:o,value:r,onChange:({value:e})=>t(e),options:a})});var qe=u(635),Fe=u.n(qe);function Ve(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Ke={label:"None",value:S.None},$e=({query:e,metricDescriptor:t,onChange:r})=>{const a=Ye(t);var o;return(0,n.jsx)(N,{label:"Pre-processing",tooltip:"Preprocessing options are displayed when the selected metric has a metric kind of delta or cumulative. The specific options available are determined by the metric's value type. If you select 'Rate', data points are aligned and converted to a rate per time series. If you select 'Delta', data points are aligned by their delta (difference) per time series",children:(0,n.jsx)(l.RadioButtonGroup,{onChange:n=>{const{perSeriesAligner:a}=e,{valueType:o,metricKind:i}=null!=t?t:{},{perSeriesAligner:s}=X(o,i,a,n);var l,c;r((l=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ve(e,t,r[t])}))}return e}({},e),c=null!=(c={preprocessor:n,perSeriesAligner:s})?c:{},Object.getOwnPropertyDescriptors?Object.defineProperties(l,Object.getOwnPropertyDescriptors(c)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(c)).forEach((function(e){Object.defineProperty(l,e,Object.getOwnPropertyDescriptor(c,e))})),l))},value:null!==(o=e.preprocessor)&&void 0!==o?o:S.None,options:a})})},Ye=e=>{const t=null==e?void 0:e.metricKind,r=null==e?void 0:e.valueType;return(0,o.useMemo)((()=>{if(!t||t===T.GAUGE||r===P.DISTRIBUTION)return[Ke];const e=[Ke,{label:"Rate",value:S.Rate,description:"Data points are aligned and converted to a rate per time series"}];return t===T.CUMULATIVE?[...e,{label:"Delta",value:S.Delta,description:"Data points are aligned by their delta (difference) per time series"}]:e}),[t,r])};function Je(e,t,r,n,a,o,i){try{var s=e[o](i),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,a)}function We(e){return function(){var t=this,r=arguments;return new Promise((function(n,a){var o=e.apply(t,r);function i(e){Je(o,n,a,i,s,"next",e)}function s(e){Je(o,n,a,i,s,"throw",e)}i(void 0)}))}}function ze(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function He(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){ze(e,t,r[t])}))}return e}function Xe(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function Ze({refId:t,onChange:a,datasource:i,query:s,variableOptionGroup:c,customMetaData:u,aliasBy:p,onChangeAliasBy:d,range:y}){const[m,f]=(0,o.useState)({}),[b,g]=(0,o.useState)([]),[v,h]=(0,o.useState)(),[O,E]=(0,o.useState)([]),[I,x]=(0,o.useState)([]),[w,C]=(0,o.useState)(""),[_,A]=(0,o.useState)(He({},y));var R;R=y,null===_||_.raw.from.toString()===R.raw.from.toString()&&_.raw.to.toString()===R.raw.to.toString()||A(He({},R));const M=(0,l.useTheme2)(),U=(0,l.getSelectStyles)(M),k=(0,l.useStyles2)(et),{projectName:G,groupBys:Q,crossSeriesReducer:B}=s,V=te(s),{templateSrv:K}=i,$=(0,o.useCallback)(((e,t)=>e.find((e=>e.type===K.replace(t)))),[K]);(0,o.useEffect)((()=>{G&&V&&i.getLabels(V,t,G,{groupBys:Q,crossSeriesReducer:B},_).then((e=>f(e)))}),[i,Q,V,G,t,B,_]),(0,o.useEffect)((()=>{const e=function(){var e=We((function*(){if(G){const e=yield i.getMetricTypes(G);(0,r.reportInteraction)("cloud-monitoring-metric-descriptors-loaded",{count:e.length});const t=Y(e);g(e),x(t)}}));return function(){return e.apply(this,arguments)}}();e()}),[i,G,k,U.optionDescription]),(0,o.useEffect)((()=>{const e=(e=>{const t=$(e,V);return t?e.filter((e=>e.service===t.service)).map((e=>({service:e.service,value:e.type,label:e.displayName,component:function(){return(0,n.jsxs)("div",{children:[(0,n.jsx)("div",{className:k,children:e.type}),(0,n.jsx)("div",{className:U.optionDescription,children:e.description})]})}}))):[]})(b),t=e.length>0?e[0].service:"",r=$(b,V);h(r),E(e),C(t)}),[b,$,V,k,U.optionDescription]);const Y=t=>{const r=t.map((t=>({value:t.service,label:(0,e.startCase)(t.serviceShortName)})));return r.length>0?(0,e.uniqBy)(r,(e=>e.value)):[]},J=function(){var e=We((function*(e){const t=(yield i.filterMetricsByType(G,w)).filter((t=>t.type.includes(e.toLowerCase()))).map((e=>({value:e.type,label:e.displayName,component:function(){return(0,n.jsxs)("div",{children:[(0,n.jsx)("div",{className:k,children:e.type}),(0,n.jsx)("div",{className:U.optionDescription,children:e.description})]})}})));return[{label:"Template Variables",options:c.options},...t]}));return function(t){return e.apply(this,arguments)}}(),W=Fe()(J,400),z=({value:e})=>{const t=$(b,e);h(t);const{metricKind:r,valueType:n}=t,o=r===T.GAUGE||n===P.DISTRIBUTION?S.None:S.Rate,{perSeriesAligner:l}=X(n,r,s.perSeriesAligner,o);Object.assign(s,Xe(He({},it(i)),{crossSeriesReducer:n===P.DISTRIBUTION?"REDUCE_MEAN":"REDUCE_NONE",projectName:s.projectName,filters:s.filters})),a(Xe(He({},re(Xe(He({},s),{perSeriesAligner:l}),e)),{preprocessor:o}))};return(0,n.jsxs)("span",{"data-testid":j.visualMetricsQueryEditor.container.input,children:[(0,n.jsx)(D,{children:(0,n.jsxs)(F,{children:[(0,n.jsx)(q,{refId:t,templateVariableOptions:c.options,projectName:G,datasource:i,onChange:e=>{a(Xe(He({},s),{projectName:e}))}}),(0,n.jsx)(N,{label:"Service",width:"auto",children:(0,n.jsx)(l.Select,{width:"auto",onChange:({value:e})=>{const t=b.filter((t=>t.service===K.replace(e))).map((e=>({service:e.service,value:e.type,label:e.displayName,description:e.description})));s.filters=[],t.length>0&&!t.some((e=>e.value===K.replace(V)))?(z(t[0]),C(e),E(t)):(C(e),E(t))},isLoading:0===I.length,value:[...I,...c.options].find((e=>e.value===w)),options:[{label:"Template Variables",options:c.options},...I],placeholder:"Select Services",inputId:`${t}-service`})}),(0,n.jsx)(N,{label:"Metric name",width:"auto",htmlFor:`${t}-select-metric`,children:(0,n.jsx)("span",{title:""===w?"Select a service first":"Type to search metrics",children:(0,n.jsx)(l.AsyncSelect,{width:"auto",onChange:z,value:[...O,...c.options].find((e=>e.value===V)),loadOptions:W,defaultOptions:[{label:"Template Variables",options:c.options},...O.slice(0,100)],placeholder:"Select Metric",inputId:`${t}-select-metric`,disabled:""===w})})})]})}),(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(Pe,{labels:m,filters:s.filters,onChange:e=>a(Xe(He({},s),{filters:e})),variableOptionGroup:c}),(0,n.jsxs)(D,{children:[(0,n.jsx)($e,{metricDescriptor:v,query:s,onChange:a}),(0,n.jsx)(ue,{refId:t,labels:Object.keys(m),query:s,onChange:a,variableOptionGroup:c,metricDescriptor:v}),(0,n.jsx)(ge,{refId:t,datasource:i,templateVariableOptions:c.options,query:s,customMetaData:u,onChange:a,metricDescriptor:v,preprocessor:s.preprocessor}),(0,n.jsx)(L,{refId:t,value:p,onChange:d})]})]})]})}const et=e=>(0,a.css)({label:"grafana-select-option-description",fontWeight:"normal",fontStyle:"italic",color:e.colors.text.secondary}),tt=o.memo(Ze),rt=({refId:e,onChange:t,graphPeriod:r,variableOptionGroup:a})=>(0,n.jsx)(D,{children:(0,n.jsx)(N,{label:"Graph period",htmlFor:`${e}-graph-period`,tooltip:(0,n.jsxs)(n.Fragment,{children:["Set ",(0,n.jsx)("code",{children:"graph_period"})," which forces a preferred period between points. Automatically set to the current interval if left blank."]}),children:(0,n.jsxs)(l.HorizontalGroup,{children:[(0,n.jsx)(l.Switch,{"data-testid":`${e}-switch-graph-period`,value:"disabled"!==r,onChange:e=>t(e.currentTarget.checked?"":"disabled")}),(0,n.jsx)(me,{inputId:`${e}-graph-period`,templateVariableOptions:a.options,current:r,onChange:t,disabled:"disabled"===r,aligmentPeriods:M})]})})});function nt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function at(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){nt(e,t,r[t])}))}return e}function ot(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const it=e=>({projectName:e.getDefaultProject(),crossSeriesReducer:"REDUCE_NONE",alignmentPeriod:"cloud-monitoring-auto",perSeriesAligner:I.ALIGN_MEAN,groupBys:[],filters:[]}),st=e=>({projectName:e.getDefaultProject(),query:""});function lt({refId:e,query:t,datasource:r,onChange:a,onRunQuery:i,customMetaData:s,variableOptionGroup:c,range:u}){const p=(0,o.useCallback)((e=>{let r=!0;if((null==e?void 0:e.filters)&&e.filters.length>0)for(const t of e.filters)if(""===t){r=!1;break}a(ot(at({},t),{timeSeriesList:e})),r&&i()}),[a,i,t]),d=(0,o.useCallback)((e=>{a(ot(at({},t),{timeSeriesQuery:e})),i()}),[a,i,t]);return(0,o.useEffect)((()=>{t.queryType!==E.TIME_SERIES_LIST||t.timeSeriesList||a({refId:t.refId,datasource:t.datasource,queryType:E.TIME_SERIES_LIST,timeSeriesList:it(r),aliasBy:t.aliasBy}),t.queryType!==E.TIME_SERIES_QUERY||t.timeSeriesQuery||a({refId:t.refId,datasource:t.datasource,queryType:E.TIME_SERIES_QUERY,timeSeriesQuery:st(r),aliasBy:t.aliasBy})}),[a,t,r]),(0,n.jsxs)(O,{children:[(t.queryType===E.ANNOTATION||t.queryType===E.TIME_SERIES_LIST)&&t.timeSeriesList&&(0,n.jsx)(tt,{refId:e,variableOptionGroup:c,customMetaData:s,onChange:p,datasource:r,query:t.timeSeriesList,aliasBy:t.aliasBy,onChangeAliasBy:e=>a(ot(at({},t),{aliasBy:e})),range:u}),t.queryType===E.TIME_SERIES_QUERY&&t.timeSeriesQuery&&(0,n.jsxs)(n.Fragment,{children:[(0,n.jsxs)(l.Stack,{gap:1,direction:"row",children:[(0,n.jsx)(q,{refId:e,datasource:r,onChange:e=>d(ot(at({},t.timeSeriesQuery),{projectName:e})),templateVariableOptions:c.options,projectName:t.timeSeriesQuery.projectName}),(0,n.jsx)(L,{refId:e,value:t.aliasBy,onChange:e=>a(ot(at({},t),{aliasBy:e}))})]}),(0,n.jsx)(Qe,{onChange:e=>d(ot(at({},t.timeSeriesQuery),{query:e})),onRunQuery:i,query:t.timeSeriesQuery.query}),(0,n.jsx)(rt,{onChange:e=>d(ot(at({},t.timeSeriesQuery),{graphPeriod:e})),graphPeriod:t.timeSeriesQuery.graphPeriod,refId:e,variableOptionGroup:c})]})]})}const ct=o.memo(lt);function ut(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function pt(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){ut(e,t,r[t])}))}return e}function dt(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function yt({refId:e,query:t,datasource:r,onChange:a,variableOptionGroup:o,onRunQuery:i}){function s(e){"Enter"===e.key&&e.shiftKey&&(i(),e.preventDefault(),e.stopPropagation())}var c;return(0,n.jsx)("span",{"data-testid":j.promQlQueryEditor.container.input,children:(0,n.jsxs)(D,{children:[(0,n.jsx)(q,{refId:e,templateVariableOptions:o.options,projectName:t.projectName,datasource:r,onChange:e=>a(dt(pt({},t),{projectName:e}))}),(0,n.jsx)(l.TextArea,{name:"Query",className:"slate-query-field",value:t.expr,rows:10,placeholder:"Enter a Cloud Monitoring Prometheus query (Run with Shift+Enter)",onBlur:i,onKeyDown:s,onChange:e=>a(dt(pt({},t),{expr:e.currentTarget.value}))}),(0,n.jsx)(N,{label:"Min step",tooltip:"Time units and built-in variables can be used here, for example: $__interval, $__rate_interval, 5s, 1m, 3h, 1d, 1y (Default if no unit is specified: 10s)",children:(0,n.jsx)(l.Input,{type:"string",placeholder:"auto",onChange:e=>a(dt(pt({},t),{step:e.currentTarget.value})),onKeyDown:s,value:null!==(c=t.step)&&void 0!==c?c:""})})]})})}const mt=({children:e})=>{const t=(0,l.useStyles2)(ft);return o.createElement("div",{className:t.root},e)},ft=e=>({root:(0,a.css)({display:"flex",flexWrap:"wrap",alignItems:"center",gap:e.spacing(3),minHeight:e.spacing(4)})});function bt({label:e,...t}){const[r]=(0,o.useState)((()=>Math.random().toString(16).slice(2))),n=(0,l.useStyles2)(ht),a={SelectContainer:gt,ValueContainer:vt,SingleValue:vt};return o.createElement("div",{className:n.root},e&&o.createElement("label",{className:n.label,htmlFor:r},e,":"," "),o.createElement(l.Select,{openMenuOnFocus:!0,inputId:r,...t,components:a}))}const gt=e=>{const{children:t}=e,r=(0,l.useStyles2)(ht);return o.createElement(l.SelectContainer,{...e,className:(0,a.cx)(e.className,r.container)},t)},vt=e=>{const{className:t,children:r}=e,n=(0,l.useStyles2)(ht);return o.createElement("div",{className:(0,a.cx)(t,n.valueContainer)},r)},ht=e=>({root:(0,a.css)({display:"flex",fontSize:12,alignItems:"center"}),label:(0,a.css)({color:e.colors.text.secondary,whiteSpace:"nowrap"}),container:(0,a.css)({background:"none",borderColor:"transparent"}),valueContainer:(0,a.css)({display:"flex",alignItems:"center",flex:"initial",color:e.colors.text.secondary,fontSize:12})}),Ot=({grow:e,shrink:t})=>o.createElement("div",{style:{display:"block",flexGrow:e,flexShrink:t}});function jt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Et=e=>{const{query:t,onChange:r,onRunQuery:a}=e,{queryType:o}=t;return(0,n.jsxs)(mt,{children:[(0,n.jsx)(bt,{label:"Query type",options:B,value:o,onChange:({value:e})=>{var n,o;r((n=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){jt(e,t,r[t])}))}return e}({},t),o=null!=(o={queryType:e})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(o)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(o)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(o,e))})),n)),a()}}),(0,n.jsx)(Ot,{grow:1})]})};function St(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Tt(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){St(e,t,r[t])}))}return e}function Pt(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function It(e,t,r,n,a,o,i){try{var s=e[o](i),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,a)}function xt(e){return function(){var t=this,r=arguments;return new Promise((function(n,a){var o=e.apply(t,r);function i(e){It(o,n,a,i,s,"next",e)}function s(e){It(o,n,a,i,s,"throw",e)}i(void 0)}))}}function Nt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function wt(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Nt(e,t,r[t])}))}return e}function Lt(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}class Dt extends o.PureComponent{componentDidMount(){var e=this;return xt((function*(){yield e.props.datasource.ensureGCEDefaultProject();const t=e.props.query.projectName||e.props.datasource.getDefaultProject(),n=yield e.props.datasource.getProjects(),a=yield e.props.datasource.getMetricTypes(e.props.query.projectName||e.props.datasource.getDefaultProject()),o=$(a).map((e=>({value:e.service,label:e.serviceShortName})));let i="";o.some((t=>t.value===(0,r.getTemplateSrv)().replace(e.state.selectedService)))?i=e.state.selectedService:o&&o.length>0&&(i=o[0].value);const{metricTypes:s,selectedMetricType:l}=J(a,e.state.selectedMetricType,(0,r.getTemplateSrv)().replace(e.state.selectedMetricType),(0,r.getTemplateSrv)().replace(i)),c=yield e.props.datasource.getSLOServices(t),u=Lt(wt({services:o,selectedService:i,metricTypes:s,selectedMetricType:l,metricDescriptors:a,projects:n},yield e.getLabels(l,t)),{sloServices:c,loading:!1,projectName:t});e.setState(u,(()=>e.onPropsChange()))}))()}onQueryTypeChange(e){var t=this;return xt((function*(){const r=wt({selectedQueryType:e},yield t.getLabels(t.state.selectedMetricType,t.state.projectName,e));t.setState(r)}))()}onProjectChange(e){var t=this;return xt((function*(){const n=yield t.props.datasource.getMetricTypes(e),a=yield t.getLabels(t.state.selectedMetricType,e),{metricTypes:o,selectedMetricType:i}=J(n,t.state.selectedMetricType,(0,r.getTemplateSrv)().replace(t.state.selectedMetricType),(0,r.getTemplateSrv)().replace(t.state.selectedService)),s=yield t.props.datasource.getSLOServices(e);t.setState(Lt(wt({},a),{metricTypes:o,selectedMetricType:i,metricDescriptors:n,projectName:e,sloServices:s}),(()=>t.onPropsChange()))}))()}onServiceChange(e){var t=this;return xt((function*(){const{metricTypes:n,selectedMetricType:a}=J(t.state.metricDescriptors,t.state.selectedMetricType,(0,r.getTemplateSrv)().replace(t.state.selectedMetricType),(0,r.getTemplateSrv)().replace(e)),o=wt({selectedService:e,metricTypes:n,selectedMetricType:a},yield t.getLabels(a,t.state.projectName));t.setState(o,(()=>t.onPropsChange()))}))()}onMetricTypeChange(e){var t=this;return xt((function*(){const n=wt({selectedMetricType:e},yield t.getLabels((0,r.getTemplateSrv)().replace(e),t.state.projectName));t.setState(n,(()=>t.onPropsChange()))}))()}onLabelKeyChange(e){this.setState({labelKey:e},(()=>this.onPropsChange()))}componentDidUpdate(e,t){const r=t.selectedQueryType!==this.state.selectedQueryType,n=this.state.selectedSLOService!==t.selectedSLOService;(r||n)&&this.onPropsChange()}getLabels(e,t,n=this.state.selectedQueryType){var a=this;return xt((function*(){let o={labels:a.state.labels,labelKey:a.state.labelKey};if(e&&n===x.LabelValues){const n=yield H(a.props.datasource,e,t),i=n.some((e=>e===(0,r.getTemplateSrv)().replace(a.state.labelKey)))?a.state.labelKey:n[0];o={labels:n,labelKey:i}}return o}))()}renderQueryTypeSwitch(e){const t={label:"Template Variables",expanded:!1,options:(0,r.getTemplateSrv)().getVariables().map((e=>({value:`$${e.name}`,label:`$${e.name}`})))};switch(e){case x.MetricTypes:return(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(Be,{allowCustomValue:!0,value:this.state.projectName,options:[t,...this.state.projects],onChange:e=>this.onProjectChange(e),label:"Project"}),(0,n.jsx)(Be,{value:this.state.selectedService,options:[t,...this.state.services],onChange:e=>this.onServiceChange(e),label:"Service"})]});case x.LabelKeys:case x.LabelValues:case x.ResourceTypes:return(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(Be,{allowCustomValue:!0,value:this.state.projectName,options:[t,...this.state.projects],onChange:e=>this.onProjectChange(e),label:"Project"}),(0,n.jsx)(Be,{value:this.state.selectedService,options:[t,...this.state.services],onChange:e=>this.onServiceChange(e),label:"Service"}),(0,n.jsx)(Be,{value:this.state.selectedMetricType,options:[t,...this.state.metricTypes.map((({value:e,name:t})=>({value:e,label:t})))],onChange:e=>this.onMetricTypeChange(e),label:"Metric Type"}),e===x.LabelValues&&(0,n.jsx)(Be,{value:this.state.labelKey,options:[t,...this.state.labels.map((e=>({value:e,label:e})))],onChange:e=>this.onLabelKeyChange(e),label:"Label Key"})]});case x.Aligners:case x.Aggregations:return(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(Be,{value:this.state.selectedService,options:[t,...this.state.services],onChange:e=>this.onServiceChange(e),label:"Service"}),(0,n.jsx)(Be,{value:this.state.selectedMetricType,options:[t,...this.state.metricTypes.map((({value:e,name:t})=>({value:e,label:t})))],onChange:e=>this.onMetricTypeChange(e),label:"Metric Type"})]});case x.Services:case x.SLOServices:return(0,n.jsx)(n.Fragment,{children:(0,n.jsx)(Be,{allowCustomValue:!0,value:this.state.projectName,options:[t,...this.state.projects],onChange:e=>this.onProjectChange(e),label:"Project"})});case x.SLO:return(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(Be,{allowCustomValue:!0,value:this.state.projectName,options:[t,...this.state.projects],onChange:e=>this.onProjectChange(e),label:"Project"}),(0,n.jsx)(Be,{value:this.state.selectedSLOService,options:[t,...this.state.sloServices],onChange:e=>{this.setState(Lt(wt({},this.state),{selectedSLOService:e}))},label:"SLO Service"})]});default:return""}}render(){return this.state.loading?(0,n.jsx)(Be,{value:"loading",options:[{value:"loading",label:"Loading..."}],onChange:e=>null,label:"Query Type"}):(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(Be,{value:this.state.selectedQueryType,options:this.queryTypes,onChange:e=>this.onQueryTypeChange(e),label:"Query Type"}),this.renderQueryTypeSwitch(this.state.selectedQueryType)]})}constructor(e){super(e),Nt(this,"queryTypes",[{value:x.Projects,label:"Projects"},{value:x.Services,label:"Services"},{value:x.MetricTypes,label:"Metric Types"},{value:x.LabelKeys,label:"Label Keys"},{value:x.LabelValues,label:"Label Values"},{value:x.ResourceTypes,label:"Resource Types"},{value:x.Aggregations,label:"Aggregations"},{value:x.Aligners,label:"Aligners"},{value:x.AlignmentPeriods,label:"Alignment Periods"},{value:x.Selectors,label:"Selectors"},{value:x.SLOServices,label:"SLO Services"},{value:x.SLO,label:"Service Level Objectives (SLO)"}]),Nt(this,"defaults",{selectedQueryType:this.queryTypes[0].value,metricDescriptors:[],selectedService:"",selectedMetricType:"",labels:[],labelKey:"",metricTypes:[],services:[],sloServices:[],selectedSLOService:"",projects:[],projectName:"",loading:!0}),Nt(this,"onPropsChange",(()=>{const e=this.state,{metricDescriptors:t,labels:r,metricTypes:n,services:a}=e,o=function(e,t){if(null==e)return{};var r,n,a=function(e,t){if(null==e)return{};var r,n,a={},o=Object.keys(e);for(n=0;n<o.length;n++)r=o[n],t.indexOf(r)>=0||(a[r]=e[r]);return a}(e,t);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);for(n=0;n<o.length;n++)r=o[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(a[r]=e[r])}return a}(e,["metricDescriptors","labels","metricTypes","services"]);this.props.onChange(Lt(wt({},o),{refId:"CloudMonitoringVariableQueryEditor-VariableQuery"}))})),this.state=Object.assign(this.defaults,this.props.query)}}var Ct=u(269),_t=u(59);function At(e,t,r){void 0===t&&(t=0),void 0===r&&(r=[]);var n=function(e,t){void 0===t&&(t=0);var r=(0,o.useRef)(!1),n=(0,o.useRef)(),a=(0,o.useRef)(e),i=(0,o.useCallback)((function(){return r.current}),[]),s=(0,o.useCallback)((function(){r.current=!1,n.current&&clearTimeout(n.current),n.current=setTimeout((function(){r.current=!0,a.current()}),t)}),[t]),l=(0,o.useCallback)((function(){r.current=null,n.current&&clearTimeout(n.current)}),[]);return(0,o.useEffect)((function(){a.current=e}),[e]),(0,o.useEffect)((function(){return s(),l}),[t]),[i,l,s]}(e,t),a=n[0],i=n[1],s=n[2];return(0,o.useEffect)(s,r),[a,i]}function Rt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Mt(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Rt(e,t,r[t])}))}return e}function Ut(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const kt=e=>{const{datasource:r,query:a,onRunQuery:i,data:s,onChange:c,range:u}=e,p=(null==s?void 0:s.series.length)?null==s?void 0:s.series[0].meta:{};var d;const y=null!==(d=null==p?void 0:p.custom)&&void 0!==d?d:{},m=Mt({},(e=>Ut(Mt({},it(e)),{title:"",text:""}))(r),a.timeSeriesList),[f,b]=(0,o.useState)(m.title||""),[g,v]=(0,o.useState)(m.text||""),h={label:"Template Variables",options:r.getVariables().map(t.toOption)};return At((()=>{c(Ut(Mt({},a),{timeSeriesList:Ut(Mt({},m),{title:f})}))}),1e3,[f,c]),At((()=>{c(Ut(Mt({},a),{timeSeriesList:Ut(Mt({},m),{text:g})}))}),1e3,[g,c]),(0,o.useEffect)((()=>{a.queryType&&Object.values(E).includes(a.queryType)||c(Ut(Mt({},a),{queryType:E.TIME_SERIES_LIST}))})),(0,n.jsxs)(O,{children:[(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(ct,{refId:a.refId,variableOptionGroup:h,customMetaData:y,onChange:c,onRunQuery:i,datasource:r,query:a,range:u||(0,t.getDefaultTimeRange)()}),(0,n.jsx)(N,{label:"Title",htmlFor:"annotation-query-title",children:(0,n.jsx)(l.Input,{id:"annotation-query-title",value:f,onChange:e=>{b(e.target.value)}})}),(0,n.jsx)(N,{label:"Text",htmlFor:"annotation-query-text",children:(0,n.jsx)(l.Input,{id:"annotation-query-text",value:g,onChange:e=>{v(e.target.value)}})})]}),(0,n.jsx)(Ie,{})]})};function Gt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Qt=e=>({prepareAnnotation:t=>{if(!(e=>{var t,r;return void 0!==(null===(t=e.target)||void 0===t?void 0:t.title)||void 0!==(null===(r=e.target)||void 0===r?void 0:r.text)})(t))return t;const{enable:r,name:n,iconColor:a}=t,{target:o}=t;return{datasource:t.datasource,enable:r,name:n,iconColor:a,target:{intervalMs:e.intervalMs,refId:(null==o?void 0:o.refId)||"annotationQuery",queryType:E.ANNOTATION,timeSeriesList:{projectName:(null==o?void 0:o.projectName)||e.getDefaultProject(),filters:(null==o?void 0:o.filters)||[],crossSeriesReducer:"REDUCE_NONE",perSeriesAligner:I.ALIGN_NONE,title:(null==o?void 0:o.title)||"",text:(null==o?void 0:o.text)||""}}}},prepareQuery:e=>{if(e.target)return t=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Gt(e,t,r[t])}))}return e}({},e.target),r=null!=(r={queryType:E.ANNOTATION,type:"annotationQuery"})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(r)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(r,e))})),t;var t,r},QueryEditor:kt});function Bt(e,t,r,n,a,o,i){try{var s=e[o](i),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,a)}function qt(e){return function(){var t=this,r=arguments;return new Promise((function(n,a){var o=e.apply(t,r);function i(e){Bt(o,n,a,i,s,"next",e)}function s(e){Bt(o,n,a,i,s,"throw",e)}i(void 0)}))}}function Ft(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}class Vt{execute(e){var t=this;return qt((function*(){try{switch(e.projectName||(e.projectName=t.datasource.getDefaultProject()),e.selectedQueryType){case x.Projects:return t.handleProjectsQuery();case x.Services:return t.handleServiceQuery(e);case x.MetricTypes:return t.handleMetricTypesQuery(e);case x.LabelKeys:return t.handleLabelKeysQuery(e);case x.LabelValues:return t.handleLabelValuesQuery(e);case x.ResourceTypes:return t.handleResourceTypeQuery(e);case x.Aligners:return t.handleAlignersQuery(e);case x.AlignmentPeriods:return t.handleAlignmentPeriodQuery();case x.Aggregations:return t.handleAggregationQuery(e);case x.SLOServices:return t.handleSLOServicesQuery(e);case x.SLO:return t.handleSLOQuery(e);case x.Selectors:return t.handleSelectorQuery();default:return[]}}catch(t){return console.error(`Could not run CloudMonitoringMetricFindQuery ${e}`,t),[]}}))()}handleProjectsQuery(){var e=this;return qt((function*(){return(yield e.datasource.getProjects()).map((e=>({text:e.label,value:e.value,expandable:!0})))}))()}handleServiceQuery({projectName:e}){var t=this;return qt((function*(){const r=yield t.datasource.getMetricTypes(e);return $(r).map((e=>({text:e.serviceShortName,value:e.service,expandable:!0})))}))()}handleMetricTypesQuery({selectedService:e,projectName:t}){var r=this;return qt((function*(){if(!e)return[];const n=yield r.datasource.getMetricTypes(t);return Y(n,r.datasource.templateSrv.replace(e)).map((e=>({text:e.displayName,value:e.type,expandable:!0})))}))()}handleLabelKeysQuery({selectedMetricType:e,projectName:t}){var r=this;return qt((function*(){return e?(yield H(r.datasource,e,t)).map(r.toFindQueryResult):[]}))()}handleLabelValuesQuery({selectedMetricType:e,labelKey:t,projectName:r}){var n=this;return qt((function*(){if(!e)return[];const a=yield n.datasource.getLabels(e,"handleLabelValuesQuery",r,{groupBys:[t],crossSeriesReducer:"REDUCE_MEAN"}),o=n.datasource.templateSrv.replace(t);return(a.hasOwnProperty(o)?a[o]:[]).map(n.toFindQueryResult)}))()}handleResourceTypeQuery({selectedMetricType:e,projectName:t}){var r=this;return qt((function*(){var n,a;return e&&null!==(a=null===(n=(yield r.datasource.getLabels(e,"handleResourceTypeQueryQueryType",t))["resource.type"])||void 0===n?void 0:n.map(r.toFindQueryResult))&&void 0!==a?a:[]}))()}handleAlignersQuery({selectedMetricType:e,projectName:t}){var r=this;return qt((function*(){if(!e)return[];const n=(yield r.datasource.getMetricTypes(t)).find((t=>t.type===r.datasource.templateSrv.replace(e)));return n?W(n.valueType,n.metricKind).map(r.toFindQueryResult):[]}))()}handleAggregationQuery({selectedMetricType:e,projectName:t}){var r=this;return qt((function*(){if(!e)return[];const n=(yield r.datasource.getMetricTypes(t)).find((t=>t.type===r.datasource.templateSrv.replace(e)));return n?z(n.valueType,n.metricKind).map(r.toFindQueryResult):[]}))()}handleSLOServicesQuery({projectName:e}){var t=this;return qt((function*(){return(yield t.datasource.getSLOServices(e)).map(t.toFindQueryResult)}))()}handleSLOQuery({selectedSLOService:e,projectName:t}){var r=this;return qt((function*(){return(yield r.datasource.getServiceLevelObjectives(t,e)).map(r.toFindQueryResult)}))()}handleSelectorQuery(){var e=this;return qt((function*(){return Q.map(e.toFindQueryResult)}))()}handleAlignmentPeriodQuery(){return R.map(this.toFindQueryResult)}toFindQueryResult(t){return(0,e.isString)(t)?{text:t,expandable:!0}:(r=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ft(e,t,r[t])}))}return e}({},t),n=null!=(n={expandable:!0})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(n)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(n)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(n,e))})),r);var r,n}constructor(e){Ft(this,"datasource",void 0),this.datasource=e}}function Kt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}class $t extends t.CustomVariableSupport{query(e){const t=(0,Ct.from)(this.metricFindQuery.execute(e.targets[0]));return(0,Ct.from)(this.datasource.ensureGCEDefaultProject()).pipe((0,_t.mergeMap)((()=>t)),(0,_t.map)((e=>({data:e}))))}constructor(e){super(),Kt(this,"datasource",void 0),Kt(this,"metricFindQuery",void 0),Kt(this,"editor",void 0),this.datasource=e,this.editor=Dt,this.metricFindQuery=new Vt(e)}}function Yt(e,t,r,n,a,o,i){try{var s=e[o](i),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,a)}function Jt(e){return function(){var t=this,r=arguments;return new Promise((function(n,a){var o=e.apply(t,r);function i(e){Yt(o,n,a,i,s,"next",e)}function s(e){Yt(o,n,a,i,s,"throw",e)}i(void 0)}))}}function Wt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function zt(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Wt(e,t,r[t])}))}return e}function Ht(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}class Xt extends r.DataSourceWithBackend{getVariables(){return this.templateSrv.getVariables().map((e=>`$${e.name}`))}query(e){return e.targets=e.targets.map((t=>Ht(zt({},this.migrateQuery(t)),{intervalMs:e.intervalMs}))),super.query(e)}applyTemplateVariables(e,t){const{timeSeriesList:r,timeSeriesQuery:n,sloQuery:a,promQLQuery:o}=e;return Ht(zt({},e),{datasource:this.getRef(),intervalMs:this.intervalMs,timeSeriesList:r&&Ht(zt({},this.interpolateProps(r,t)),{projectName:this.templateSrv.replace(r.projectName?r.projectName:this.getDefaultProject(),t),filters:this.interpolateFilters(r.filters||[],t),groupBys:this.interpolateGroupBys(r.groupBys||[],t),view:r.view||"FULL"}),timeSeriesQuery:n&&Ht(zt({},this.interpolateProps(n,t)),{projectName:this.templateSrv.replace(n.projectName?n.projectName:this.getDefaultProject(),t)}),sloQuery:a&&this.interpolateProps(a,t),promQLQuery:o&&this.interpolateProps(o,t,{expr:this.interpolatePromQLQuery})})}getLabels(e,n,a,o,i){var s=this;return Jt((function*(){const l={targets:[{refId:n,datasource:s.getRef(),queryType:E.TIME_SERIES_LIST,timeSeriesList:re({projectName:s.templateSrv.replace(a),groupBys:s.interpolateGroupBys((null==o?void 0:o.groupBys)||[],{}),crossSeriesReducer:"REDUCE_NONE",view:"HEADERS"},s.templateSrv.replace(e))}],range:i||(0,t.getDefaultTimeRange)()},c=l.targets;return c.length?(0,Ct.lastValueFrom)((0,Ct.from)(s.ensureGCEDefaultProject()).pipe((0,_t.mergeMap)((()=>s.backendSrv.fetch({url:"/api/ds/query",method:"POST",headers:s.getRequestHeaders(),data:{from:l.range.from.valueOf().toString(),to:l.range.to.valueOf().toString(),queries:c}}))),(0,_t.map)((({data:e})=>{const t=(0,r.toDataQueryResponse)({data:e}),n=null==t?void 0:t.data.map((e=>{var t,r;return null===(r=e.meta)||void 0===r||null===(t=r.custom)||void 0===t?void 0:t.labels})).filter((e=>!!e)).reduce(((e,t)=>{for(let r in t)e[r]||(e[r]=new Set),t[r]&&e[r].add(t[r]);return e}),{});return Object.fromEntries(Object.entries(n).map((([e,t])=>[e,Array.from(t)])))})))):(0,Ct.lastValueFrom)((0,Ct.of)({results:[]}))}))()}getGCEDefaultProject(){var e=this;return Jt((function*(){return e.getResource("gceDefaultProject")}))()}getDefaultProject(){const{defaultProject:e,authenticationType:t,gceDefaultProject:r}=this.instanceSettings.jsonData;return"gce"===t?r||"":e||""}ensureGCEDefaultProject(){var e=this;return Jt((function*(){const{authenticationType:t,gceDefaultProject:r}=e.instanceSettings.jsonData;"gce"!==t||r||(e.instanceSettings.jsonData.gceDefaultProject=yield e.getGCEDefaultProject())}))()}getMetricTypes(e){var t=this;return Jt((function*(){return e?t.getResource(`metricDescriptors/v3/projects/${t.templateSrv.replace(e)}/metricDescriptors`):[]}))()}filterMetricsByType(e,t){var r=this;return Jt((function*(){return e?r.getResource(`metricDescriptors/v3/projects/${r.templateSrv.replace(e)}/metricDescriptors`,{filter:`metric.type : "${t}"`}):[]}))()}getSLOServices(e){var t=this;return Jt((function*(){return t.getResource(`services/v3/projects/${t.templateSrv.replace(e)}/services?pageSize=1000`)}))()}getServiceLevelObjectives(e,t){var r=this;return Jt((function*(){if(!t)return Promise.resolve([]);let{projectName:n,serviceId:a}=r.interpolateProps({projectName:e,serviceId:t});return r.getResource(`slo-services/v3/projects/${n}/services/${a}/serviceLevelObjectives`)}))()}getProjects(){return this.getResource("projects")}migrateMetricTypeFilter(e,t){const r=["metric.type","=",e];return(null==t?void 0:t.length)?t.concat("AND",r):r}migrateQuery(t){const{hide:r,refId:n,datasource:a,key:o,queryType:i,maxLines:s,metric:l,intervalMs:c,type:u}=t,p=function(e,t){if(null==e)return{};var r,n,a=function(e,t){if(null==e)return{};var r,n,a={},o=Object.keys(e);for(n=0;n<o.length;n++)r=o[n],t.indexOf(r)>=0||(a[r]=e[r]);return a}(e,t);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);for(n=0;n<o.length;n++)r=o[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(a[r]=e[r])}return a}(t,["hide","refId","datasource","key","queryType","maxLines","metric","intervalMs","type"]);if(!(t.hasOwnProperty("metricQuery")||t.hasOwnProperty("sloQuery")||t.hasOwnProperty("timeSeriesQuery")||t.hasOwnProperty("timeSeriesList"))){let i=p.filters||[];return p.metricType&&(i=this.migrateMetricTypeFilter(p.metricType,i)),{datasource:a,key:o,refId:n,intervalMs:c,hide:r,queryType:"annotationQuery"===u?E.ANNOTATION:E.TIME_SERIES_LIST,timeSeriesList:Ht(zt({},p),{projectName:(0,e.get)(t,"projectName")||this.getDefaultProject(),filters:i,view:p.view||"FULL"})}}var d;if((0,e.has)(t,"metricQuery")&&["metrics",E.ANNOTATION].includes(null!==(d=t.queryType)&&void 0!==d?d:"")){const r=(0,e.get)(t,"metricQuery");"mql"===r.editorMode?(t.timeSeriesQuery={projectName:r.projectName,query:r.query,graphPeriod:r.graphPeriod},t.queryType=E.TIME_SERIES_QUERY):(t.timeSeriesList={projectName:r.projectName||this.getDefaultProject(),crossSeriesReducer:r.crossSeriesReducer,alignmentPeriod:r.alignmentPeriod,perSeriesAligner:r.perSeriesAligner,groupBys:r.groupBys,filters:r.filters,view:r.view,preprocessor:r.preprocessor},t.queryType=E.TIME_SERIES_LIST,r.metricType&&(t.timeSeriesList.filters=this.migrateMetricTypeFilter(r.metricType,t.timeSeriesList.filters))),t.aliasBy=r.aliasBy,t=(0,e.omit)(t,"metricQuery")}if(t.queryType===E.SLO&&(0,e.has)(t,"sloQuery.aliasBy")){const r=(0,e.get)(t,"sloQuery.aliasBy");"string"==typeof r&&(t.aliasBy=r),t=(0,e.omit)(t,"sloQuery.aliasBy")}return t}interpolatePromQLQuery(t,r){return(0,e.isArray)(t)?t.join("|"):t}interpolateProps(t,r={},n){return Object.entries(t).reduce(((t,[a,o])=>{let i=o;return o&&(0,e.isString)(o)&&(i=this.templateSrv.replace(o,r,n&&n[a])),Ht(zt({},t),{[a]:i})}),{})}filterQuery(e){if(e.hide)return!1;const t=this.migrateQuery(e);if(t.queryType===E.SLO){if(!t.sloQuery)return!1;const{selectorName:e,serviceId:r,sloId:n,projectName:a,lookbackPeriod:o}=t.sloQuery;return!(!e||!r||!n||!a||e===G&&!o)}return t.queryType===E.TIME_SERIES_QUERY?!!t.timeSeriesQuery&&!!t.timeSeriesQuery.projectName&&!!t.timeSeriesQuery.query:t.queryType&&[E.TIME_SERIES_LIST,E.ANNOTATION].includes(t.queryType)?!!t.timeSeriesList&&!!t.timeSeriesList.projectName&&!!te(t.timeSeriesList):t.queryType===E.PROMQL&&!!(t.promQLQuery&&t.promQLQuery.projectName&&t.promQLQuery.expr&&t.promQLQuery.step)}interpolateVariablesInQueries(e,t){return e.map((e=>this.applyTemplateVariables(this.migrateQuery(e),t)))}interpolateFilters(t,r){const n=(0,e.chunk)(t,4).map((([e,t,r,n])=>zt({key:e,operator:t,value:r},n&&{condition:n}))).filter((e=>e.value));return(0,e.flatten)(n.map((({key:t,operator:n,value:a,condition:o})=>[this.templateSrv.replace(t,r||{}),n,this.templateSrv.replace(a,r||{},(t=>(0,e.isArray)(t)&&t.length?`(${t.join("|")})`:t)),...o?[o]:[]])))||[]}interpolateGroupBys(e,t){let r=[];return(e||[]).forEach((e=>{const n=this.templateSrv.replace(e,t||{},"csv").split(",");Array.isArray(n)?r=r.concat(n):r.push(n)})),r}constructor(e,t=(0,r.getTemplateSrv)()){super(e),Wt(this,"instanceSettings",void 0),Wt(this,"templateSrv",void 0),Wt(this,"authenticationType",void 0),Wt(this,"intervalMs",void 0),Wt(this,"backendSrv",void 0),this.instanceSettings=e,this.templateSrv=t,this.authenticationType=e.jsonData.authenticationType||"jwt",this.variables=new $t(this),this.intervalMs=0,this.annotations=Qt(this),this.backendSrv=(0,r.getBackendSrv)()}}const Zt=new t.DataSourcePlugin(Xt).setQueryEditorHelp(i).setQueryEditor((r=>{var a,i;const{datasource:s,query:c,onRunQuery:u,onChange:p,range:d}=r,[y,m]=(0,o.useState)(!1);(0,o.useEffect)((()=>{const e=s.migrateQuery(c);v()(e,c)||p(Tt({},e))}),[c,s,p]);const[f,b]=(0,o.useState)(c),[g,h]=(0,o.useState)(!1),S=Tt({},{projectName:s.getDefaultProject(),alignmentPeriod:"cloud-monitoring-auto",perSeriesAligner:I.ALIGN_MEAN,aliasBy:"",selectorName:"select_slo_health",serviceId:"",serviceName:"",sloId:"",sloName:"",lookbackPeriod:""},c.sloQuery),T=Tt({},{projectName:s.getDefaultProject(),expr:"",step:"10s"},c.promQLQuery),P=(null===(a=r.data)||void 0===a?void 0:a.series.length)?null===(i=r.data)||void 0===i?void 0:i.series[0].meta:{};var x;const N=null!==(x=null==P?void 0:P.custom)&&void 0!==x?x:{},w={label:"Template Variables",expanded:!1,options:s.getVariables().map(t.toOption)};(0,o.useEffect)((()=>{c.queryType&&Object.values(E).includes(c.queryType)||p(Pt(Tt({},c),{queryType:E.TIME_SERIES_LIST}))}));const L=c.queryType;return(0,n.jsx)("span",{"data-testid":j.container,children:(0,n.jsxs)(O,{children:[(0,n.jsx)(l.ConfirmModal,{"data-testid":"switch-query-type-modal",title:"Warning",body:"By switching your query type, your current query will be lost.",isOpen:y,onConfirm:()=>{m(!1),p(f),h(!1)},confirmText:"Confirm",onDismiss:()=>{m(!1),b(c)}}),(0,n.jsx)(Et,{query:c,onChange:e=>{!g||f.queryType!==E.TIME_SERIES_LIST&&f.queryType!==E.TIME_SERIES_QUERY?p(e):f.queryType!==e.queryType&&m(!0),b(e)},onRunQuery:u}),L===E.PROMQL&&(0,n.jsx)(yt,{refId:c.refId,variableOptionGroup:w,onChange:e=>{p(Pt(Tt({},c),{promQLQuery:e}))},onRunQuery:u,datasource:s,query:T}),L!==E.SLO&&(0,n.jsx)(ct,{refId:c.refId,variableOptionGroup:w,customMetaData:N,onChange:t=>{(t.queryType===E.TIME_SERIES_LIST&&!(0,e.isEqual)(t.timeSeriesList,it(s))||t.queryType===E.TIME_SERIES_QUERY&&!(0,e.isEqual)(t.timeSeriesQuery,st(s)))&&h(!0),p(t)},onRunQuery:u,datasource:s,query:c,range:d||(0,t.getDefaultTimeRange)()}),L===E.SLO&&(0,n.jsx)(Ge,{refId:c.refId,variableOptionGroup:w,customMetaData:N,onChange:e=>{p(Pt(Tt({},c),{sloQuery:e})),u()},onRunQuery:u,datasource:s,query:S,aliasBy:c.aliasBy,onChangeAliasBy:e=>p(Pt(Tt({},c),{aliasBy:e}))})]})})})).setConfigEditor(b).setVariableQueryEditor(Dt);(0,r.getAppEvents)().subscribe(t.DashboardLoadedEvent,(({payload:{dashboardId:t,orgId:n,grafanaVersion:a,queries:o}})=>{const i=o.stackdriver;let s={[E.TIME_SERIES_QUERY]:0,[E.TIME_SERIES_LIST]:0,[E.SLO]:0,[E.ANNOTATION]:0,[E.PROMQL]:0};var l;i.forEach((t=>{t.queryType===E.TIME_SERIES_QUERY||t.queryType===E.TIME_SERIES_LIST||t.queryType===E.SLO||t.queryType===E.ANNOTATION||t.queryType===E.PROMQL?s[t.queryType]++:"metrics"===t.queryType&&(t.hasOwnProperty("type")&&"annotationQuery"===(0,e.get)(t,"type")&&s.annotation++,"mql"===(0,e.get)(t,"metricQuery.editorMode")?s.timeSeriesQuery++:s.timeSeriesList++)})),i&&i.length>0&&(l={grafana_version:a,dashboard_id:t,org_id:n,mql_queries:s[E.TIME_SERIES_QUERY],time_series_filter_queries:s[E.TIME_SERIES_LIST],slo_queries:s[E.SLO],annotation_queries:s[E.ANNOTATION],promQL_queries:s[E.PROMQL]},(0,r.reportInteraction)("grafana_ds_cloudmonitoring_dashboard_loaded",l))}))})(),p})()));
//# sourceMappingURL=module.js.map